# Certifications Certifications ## Gets all of the certifications in the system. - [GET /certifications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/listcertifications.md): This method will scan all certifications and and return them to the caller. ## Creates a new certification record that does not already exist. - [POST /certifications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/createcertification.md): This method will auto-generate an ID and create a new certification. If an ID is specified for the certification, an error will be thrown. ## Execute Batch Operations - [POST /certifications/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Downloads a Certificate - [GET /certifications/{tenantId}/certificate/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/downloadcertificate.md): Returns the HTML for the certificate ## Returns a list of records with the specified contact_id - [GET /certifications/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/listcertificationsbycontactid.md): Returns a list of records with the specified contact_id ## Returns a list of records with the specified organization_id - [GET /certifications/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/listcertificationsbyorganizationid.md): Returns a list of records with the specified organization_id ## Sends out a preview of the CRC notification certificate - [POST /certifications/{tenantId}/previewCertificate](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/previewcertificate.md): Sends out a preview of the CRC notification certificate ## Sends out a preview of the CRC notification email - [POST /certifications/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/previewemail.md): Sends out a preview of the CRC notification email ## Searches for certifications using predefined parameters - [POST /certifications/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/searchforcertifications.md): Searches for certifications using predefined parameters ## Sends an certification notice - [POST /certifications/{tenantId}/sendNotice/{notice_id}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/sendcertificationnotice.md): This method will examine a certification certification and generate an appropriate order ## Returns a certification from the system by its ID. - [DELETE /certifications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/deletecertification.md): This method will delete a certification with the specified ID. ## Returns a certification from the system by its ID. - [GET /certifications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/getcertification.md): This method will look up a certification by the specified ID and return it back. ## Partially updates a certification with the specified ID. - [PATCH /certifications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/patchcertification.md): This method will patch an existing certification with the specified ID, using the HTTP PATCH specification. ## Updates a certification with the specified ID. - [PUT /certifications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/certifications/updatecertification.md): This method will update an existing certification with the specified ID.